import 'package:pmu_project/data/dtos/characters_dto.dart';
import 'package:pmu_project/domain/models/card_data.dart';
import 'package:pmu_project/domain/models/home_data.dart';

extension GCharacterDtoToModel on GCharacterDto {
  CardData toDomain() =>
      CardData(id: id ?? -1,
          imageUrl: imageUrl ??
              "https://upload.wikimedia.org/wikipedia/commons/a/a2/Person_Image_Placeholder.png",
          name: name ?? "UNKNOWN NAME",
          age: age ?? -1);
}

extension GCharactersDataDtoToModel on GCharactersDataDto {
  HomeData toDomain() {
    int nextPage = 1;
    if (page != null && totalPages != null) {
      nextPage = page! >= totalPages! ? page! : page! + 1;
    }

    return HomeData(
        data: results?.map((e) => e.toDomain()).toList(), nextPage: nextPage);
  }
}