import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pmu_project/data/repositories/gravity_falls_repository.dart';
import 'package:pmu_project/presentation/home_page/bloc/bloc.dart';
import 'package:pmu_project/presentation/home_page/home_page.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
        useMaterial3: true,
      ),
      home: RepositoryProvider<GravityFallsRepository>(
        lazy: true,
        create: (_) => GravityFallsRepository(),
        child: BlocProvider<HomeBloc>(
          lazy: false,
          create: (context) => HomeBloc(context.read<GravityFallsRepository>()),
          child: const HomePage(title: 'Choose your fighter'),
        ),
      ),
    );
  }
}
