import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:pmu_project/domain/models/card_data.dart';

class DetailsPage extends StatelessWidget {
  final CardData data;

  const DetailsPage({super.key, required this.data});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Character ${data.name}'),
      ),
      body: SingleChildScrollView(
        padding: const EdgeInsets.all(30),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Center(
              child: Image.network(
                data.imageUrl,
                width: 250,
                height: 250,
              ),
            ),
            const SizedBox(height: 20),
            Text(
              data.name,
              style: const TextStyle(fontSize: 18),
            ),
            const SizedBox(height: 20),
            Text(
              "Age: ${data.age} y.o.",
              style: const TextStyle(fontSize: 25, color: Colors.orange),
            ),
          ],
        ),
      ),
    );
  }
}